org.apache.xmlbeans

## Interface SchemaAnnotated

- All Known Subinterfaces:
    SchemaAttributeGroup, SchemaGlobalAttribute, SchemaGlobalElement, SchemaIdentityConstraint, SchemaLocalAttribute, SchemaLocalElement, SchemaModelGroup, SchemaType
  All Known Implementing Classes:
    SchemaAttributeGroupImpl, SchemaGlobalAttributeImpl, SchemaGlobalElementImpl, SchemaIdentityConstraintImpl, SchemaLocalAttributeImpl, SchemaLocalElementImpl, SchemaModelGroupImpl, SchemaTypeImpl

      public interface SchemaAnnotated

  Marker interface denoting that an annotation can be present

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `SchemaAnnotation` | `getAnnotation()` Returns the Schema annotation object or null if none present

- - ### Method Detail

    - #### getAnnotation

          SchemaAnnotation getAnnotation()

      Returns the Schema annotation object or null if none present